//=============================================================================
/**
 *  @file    test_dynunion.h
 *
 *  test_dynunion.h,v 1.4 2003/08/24 12:58:02 jwillemsen Exp
 *
 *  Header file for class to test DynUnion.
 *
 *
 *  @author Jeff Parsons <parsons@cs.wustl.edu>
 */
//=============================================================================


#if !defined (TEST_DYNUNION_H)
#define TEST_DYNUNION_H

#include "tao/corba.h"

class Test_DynUnion
{
public:
  Test_DynUnion (CORBA::ORB_var orb, int debug);
  ~Test_DynUnion (void);

  const char* test_name (void) const;

  int run_test (void);

private:
  CORBA::ORB_var orb_;
  char* test_name_;
  CORBA::ULong error_count_;
  int debug_;
};

#endif /* TEST_DYNUNION_H */

